
public class Circle extends Shape {
	//radius of circle
	private int radius ;
	/**
	 * Create a new Circle
	 * @param radius radius of circle
	 */
	public Circle(int radius) {
		this.radius = radius ;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + radius;
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Circle other = (Circle) obj;
		if (radius != other.radius)
			return false;
		return true;
	}
	/**
	 * Get radius of circle
	 * @return radius of circle
	 */
	public int getRadius() {
		return radius ;
	}
	@Override
	public String toString() {
		return "shape is Circle [ radius = " + radius + " ]";
	}
	/**
	 * Calculate perimeter of circle
	 */
	@Override
	public double calculatePerimeter() {
		//limit to 2 decimal points
		return Double.parseDouble(String.format("%.2f", 3.14*radius*2) ) ;
	}
	/**
	 * Calculate area of circle
	 */
	@Override
	public double calculateArea() {
		// up to 2 decimal points
		return Double.parseDouble(String.format("%.2f", 3.14*radius*radius) ) ;
	}
}
