
public class Triangle extends Polygon {
	/**
	 * Create a new triangle
	 * @param sides sides of triangle
	 */
	public Triangle(Integer... sides) {
		super(sides) ;
	}
	/**
	 * Calculate area of triangle
	 */
	@Override
	public double calculateArea() {
		double per = calculatePerimeter()/2.0 ;
		double result = Math.sqrt(per*(per-getSides().get(0))*
				(per-getSides().get(1))*(per-getSides().get(2))) ;
		// limit to 2 decimal points
		return Double.parseDouble(String.format("%.2f", result) ) ;
		
	}
	/**
	 * @return returns true if shape is be equilateral
	 */
	public boolean isEqulateral() {
		if(getSides().get(0) != getSides().get(1))
			return false ;
		if(getSides().get(0) != getSides().get(2))
			return false ;
		return true ;
	}
}
